# Get reservation status

Provides status information for an accommodation reservation.

Endpoint: GET /connectivity-payments/reservations/{reservation-id}/status
Version: 1.0

## Path parameters:

  - `reservation-id` (integer, required)
    The unique identifier of the reservation.

## Header parameters:

  - `Authorization` (string, required)
    Bearer token for authentication.
    Example: "Bearer <your_token>"

## Response 200 fields (application/json):

  - `meta` (object)
    Response metadata

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Reservation status data

  - `data.reservationId` (string)
    Accommodation reservation identifier

  - `data.payoutType` (string)
    Type of payout: GROSS, NET, or UNKNOWN.

  - `data.propertyId` (string)
    Property identifier

  - `errors` (array)

  - `warnings` (array)

## Response 400 fields (application/json):

  - `meta` (object)
    The meta

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Data containing required information

  - `errors` (array)
    List of errors for the response

  - `errors.description` (string)
    Description of the error

  - `errors.message` (string)
    Error message

  - `errors.status_code` (integer)
    HTTP status code for the error

  - `errors.debug_message` (string)
    Detailed debug message for the error

  - `warnings` (array)
    List of warnings for the response

  - `warnings.message` (string)
    Warning message
    Example: "string"

## Response 401 fields (application/json):

  - `meta` (object)
    Metadata for the response

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `warnings` (array)
    List of warnings for the response

  - `errors` (array)
    List of errors for the response

  - `errors.message` (string)
    Error message

  - `errors.code` (string)
    Error code

  - `errors.details` (string,null)
    Additional error details

## Response 403 fields (application/json):

  - `meta` (object)
    The meta

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Data containing required information

  - `errors` (array)
    List of errors for the response

  - `errors.description` (string)
    Description of the error

  - `errors.message` (string)
    Error message

  - `errors.status_code` (integer)
    HTTP status code for the error

  - `errors.debug_message` (string)
    Detailed debug message for the error

  - `warnings` (array)
    List of warnings for the response

  - `warnings.message` (string)
    Warning message
    Example: "string"

## Response 410 fields (application/json):

  - `meta` (object)
    The meta

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Data containing required information

  - `errors` (array)
    List of errors for the response

  - `errors.description` (string)
    Description of the error

  - `errors.message` (string)
    Error message

  - `errors.status_code` (integer)
    HTTP status code for the error

  - `errors.debug_message` (string)
    Detailed debug message for the error

  - `warnings` (array)
    List of warnings for the response

  - `warnings.message` (string)
    Warning message
    Example: "string"

## Response 500 fields (application/json):

  - `meta` (object)
    The meta

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Data containing required information

  - `errors` (array)
    List of errors for the response

  - `errors.description` (string)
    Description of the error

  - `errors.message` (string)
    Error message

  - `errors.status_code` (integer)
    HTTP status code for the error

  - `errors.debug_message` (string)
    Detailed debug message for the error

  - `warnings` (array)
    List of warnings for the response

  - `warnings.message` (string)
    Warning message
    Example: "string"


